Bug 230519 - NEEDINFO: Cache Docs
NEEDINFO: Cache Docs
Status: CLOSED RAWHIDE
Product: JBoss Enterprise Application Platform 4
Classification: JBoss
Component: doc-Cache_Reference_Guide (Show other bugs)
4.2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Yuan
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-01 01:17 EST by Michael Hideo
Modified: 2007-06-22 03:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-22 03:31:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hideo 2007-03-01 01:17:51 EST
Need the following to proceed:

o Location of SVN repository
o Main developer lead
Comment 1 Michael Yuan 2007-03-09 00:06:40 EST
JBoss Cache 1.4.1 is included in the platform. Checkout docbook XML files from
the JBoss CVS via the JBossCache_1_4_1_GA tag:

cvs co -r JBossCache_1_4_1_GA JBossCache


The CVSROOT is cvs.forge.jboss.com:/cvsroot/jboss

All copy editing changes from the translators should be propagated back to the
HEAD of the JBossCache module in the main JBoss CVS.

The main developer lead is Manik Surtani manik@jboss.org. He is cced on this issue.

Please post the Red Hat CVS module under which you import the 1.4.1 files.
Comment 2 Michael Yuan 2007-03-09 00:16:43 EST
I forgot to say: there a number of docs in the JBossCache project. Here are the
ones that need to be localized first:

JBossCache/docs/TreeCache -- the main reference
JBossCache/docs/JBossCache-UserGuide -- the user's guide
JBossCache/docs/faq -- a short FAQ document

Manik should be able to provide more guidance on exactly which chapters need to
be localized first in the main reference.
Comment 3 Manik Surtani 2007-03-09 10:39:12 EST
Note that the tag to use is JBossCache_1_4_1_SP1


There are 4 docs.  They are:

1. JBossCache/docs/TreeCache - the main user guide
2. JBossCache/docs/PojoCache - the PojoCache subproject user guide
3. JBossCache/docs/faq - as the name suggests
4. JBossCache/docs/tutorial - as the name suggests

These can be viewed online, here:

http://labs.jboss.com/portal/jbosscache/docs/index.html (remember that it is the
1.4.1 docs that you are after)

In terms of priority, I suggest that the FAQs and the TreeCache document get
translated first.  

Within the TreeCache doc, I'd prioritise as such:

HIGH: Chapters 1, 3, 4, 5
MEDIUM: Chapters 2, 6, 7
LOW: Remaining chapters

HTH,
Manik

PS: The JBossCache-UserGuide that Michael Yuan suggests is not in the 1.4.x
series.  It is new in 2.x, and replaces the "TreeCache" document.
Comment 4 Michael Yuan 2007-03-09 15:07:44 EST
Thanks Manik. I updated the
https://engineering.redhat.com/trac/ContentServices/wiki/JbossDocPlan page to
reflect your comments.
Comment 5 Michael Hideo 2007-06-06 00:50:43 EDT
Adding 'cc ecs-dev-list@redhat.com for team coverage
Comment 6 Joshua Wulf 2007-06-22 03:31:47 EDT
done.

Note You need to log in before you can comment on or make changes to this bug.